/* Sitewide Variables */
:root {
    /* Generic */
    --radius-tight: .5rem;
    --radius-medium: 1rem;
    --radius-wide: 2rem;

    --duration-slow: 600ms;
    --duration-normal: 200ms;

    --spacing-large: 3rem;

    --component-max-h: 600px;
    --component-max-h-mobile: 200px;

    --max-width: 1300px;
    --max-width-lg: 1700px;
    --global-padding-mobile: 1.5rem;
    --global-padding-desktop: 2.5rem;

    --max-width: 1300px;
    --max-width-lg: 1700px;
    --global-padding-mobile: 1.5rem;
    --global-padding-desktop: 2.5rem;

    /* Font & Text */

    --text-size-xsmall: 11px;
    --text-size-small: 14px;
    --text-size-body: 16px;
    --text-size-header-small: 18px;
    --text-size-header-medium: 24px;
    --text-size-header-large: 48px;
    --text-size-header-xlarge: 52px;

    /* Specific Uses */
    --button-border-radius: var(--radius-wide);
    --button-text-size: var(--text-size-small);

    --component-vertical-padding: var(--spacing-large);

    /* 
    --component-header-size-small: var(--text-size-header-small);
    --component-header-size-medium: var(--text-size-header-medium);
    --component-header-size-large: var(--text-size-header-large); 
    */

}

* {
    scroll-margin-top: 120px;
}

@view-transition {
    navigation: auto;
}

.aspect-square {
    aspect-ratio: 1 / 1;
}

.tracking-extreme {
    letter-spacing: .3em;
}

.bg-pos-h-center {
    background-position-x: 50%;
}

.unselectable-element {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

h1,
h2,
h3,
h4 {
    font-weight: 400;
}

h1,
h2 {
    font-family: var(--site-serif-font) !important;
    font-size: 4rem;
    letter-spacing: -.02em;
    font-weight: 400;
    font-style: normal;
}

@media only screen and (min-width: 768px) {

    p,
    ul li {
        font-size: 1rem;
        line-height: 1.6 !important;
        padding: .43rem;
    }
}

/*            */
/* FONTS & SIZES */
/*            */

.font-site-serif {
    font-family: var(--site-serif-font) !important;
}

.font-site-sans {
    font-family: var(--site-sans-font) !important;
}

.text-size-xsmall {
    font-size: var(--text-size-xsmall);
    line-height: normal;
}

.text-size-small {
    font-size: var(--text-size-small);
    line-height: normal;
}

.text-size-body {
    font-size: var(--text-size-body);
    line-height: normal;
}

.text-size-header-small {
    font-size: var(--text-size-header-small);
    line-height: normal;
}

.text-size-header-medium {
    font-size: var(--text-size-header-medium);
    line-height: normal;
}

.text-size-header-large {
    font-size: var(--text-size-header-large);
    line-height: normal;
}

.text-size-header-xlarge {
    font-size: var(--text-size-header-xlarge);
    line-height: normal;
}

p,
ul li {
    font-size: .8rem;
    line-height: 1.45 !important;
}

@media only screen and (min-width: 768px) {

    p,
    ul li {
        font-size: 1rem;
        line-height: 1.5 !important;
    }
}

section {
    line-height: 1.4;
}

/*            */
/* COMPONENTS */
/*            */

.component-padding {
    padding: clamp(3rem, 8vw, 5rem) var(--global-padding-mobile);
}

@media only screen and (min-width: 992px) {
    .component-padding {
        padding: var(--global-padding-desktop)
    }
}

.ep_button {
    padding: .6em 2rem;
    border: 1px solid;
    text-align: center;
    border-radius: var(--button-border-radius);
    text-transform: uppercase;
    letter-spacing: .1em;
    font-size: .7rem;
    transition-duration: var(--duration-normal);
    cursor: pointer;

    /* &.ep_button_narrow {
        padding: .5rem 1rem;
    } */
}

.ep_button.disabled {
    cursor: not-allowed;
    background-color: #808080 !important;
    pointer-events: none;
}

@media only screen and (min-width: 992px) {
    .ep_button {
        font-size: .8rem;
        padding: .9rem 2rem;

        &.ep_button_narrow {
            padding: .5rem 1rem;
        }
    }

    header .ep_button {
        padding: .6em 1.5rem;
    }
}

.img_text hr {
    margin: .5em 0;
}

.navButtons h2 {
    font-size: clamp(1.4rem, 3vw, 1.9rem)
}

/*        */
/* TABLES */
/*        */
.table-auto {
    border-collapse: collapse;
}

.table-auto thead td {
    background-color: #666;
    color: #fff;
    font-weight: bold;
    border: 1px solid #000;
    text-align: center;
    padding: .5em;
}

.table-auto tbody td {
    font-weight: normal;
    border: 1px solid;
    padding: .5em;
}

.table-auto tbody tr:nth-child(even) {
    background-color: #eee;
}

.table-auto tbody tr:nth-child(odd) {
    background-color: #ddd;
}

/*                  */
/* CAROUSEL OPTIONS */
/*                  */
/* .reviewTiles {
    --f-carousel-gap: 10px;
    --f-carousel-slide-width: 33%;
    --f-carousel-slide-padding: 10px;
} */

.fancybox__caption {
    text-align: center;
}

.f-progressbar {
    display: none !important
}

.carouselTilesDots .f-carousel__dots {
    position: absolute;
    top: -25px;
    left: 2em;
    width: fit-content;
}

@media screen and (min-width: 992px) {
    .carouselTilesDots .f-carousel__dots {
        left: calc(50% + 4em);
    }
}

.f-carousel__dot {
    height: 1em;
    width: 2em;
}

.f-carousel__dot:after {
    height: 100%;
    width: 50%;
}

.dynamic_slider .f-carousel__slide {
    padding: 0;
    text-align: center;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
    -ms-flex-wrap: nowrap;
    flex-wrap: nowrap;
    -ms-flex-line-pack: center;
    align-content: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center
}

.downloadButton {
    padding: 1.5rem 3rem;
    border-radius: 2rem;
}

/* FOOTER */
.grecaptcha-badge {
    visibility: hidden;
}

.Footer_footer {
    padding: 2.4rem var(--global-padding-mobile) 3rem
}

.Footer_inner {
    max-width: var(--max-width-lg);
    margin: 0 auto;
    padding-bottom: 3em;
}

.Footer_contactblock {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    font-size: .75rem;
    align-items: center;
    justify-content: center;
    line-height: 1.5
}

@media only screen and (min-width: 768px) {
    .Footer_contactblock {
        align-items: flex-start
    }
}

@media only screen and (min-width: 1200px) {
    .Footer_contactblock {
        gap: 2rem;
        flex-direction: row;
        font-size: .8rem
    }
}

.Footer_contact {
    grid-area: contact;
    display: grid;
    grid-gap: .2rem;
    gap: 1rem;
    text-transform: uppercase;
    letter-spacing: .18em;
    text-align: center;
    margin-top: .3em;
}

@media only screen and (min-width: 768px) {
    .Footer_contact {
        text-align: left
    }
}

.Footer_address {
    grid-area: address;
    display: grid;
    grid-gap: .2rem;
    gap: .2rem;
    text-transform: uppercase;
    letter-spacing: .18em;
    text-align: center;
}

.Footer_address a {
    line-height: 2.5;
}

@media only screen and (min-width: 768px) {
    .Footer_address {
        text-align: left
    }
}

.Footer_grid {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-areas: "portal" "contact" "address" "right";
    grid-gap: 1.1rem 1.6rem;
    gap: 1.1rem 1.6rem;
    align-items: start
}

.Footer_portal {
    grid-area: portal;
    text-align: center
}

@media only screen and (min-width: 768px) {
    .Footer_portal {
        text-align: left
    }
}

.Footer_portalButton {
    letter-spacing: .18em;
    padding-inline: 1.6rem;
    display: inline-flex;
    align-items: center;
    justify-content: center
}

.Footer_link {
    color: #fff;
    text-decoration: none
}

.Footer_right {
    grid-area: right;
    display: grid;
    grid-gap: .75rem;
    gap: .75rem;
    align-self: start;
    margin: 0 auto;
    text-align: center
}

@media only screen and (min-width: 768px) {
    .Footer_right {
        text-align: left
    }
}


.Footer_nav {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: .85rem;
    text-transform: uppercase;
    letter-spacing: .18em;
    font-size: .9rem;
    margin: 0 auto
}

@media only screen and (min-width: 768px) {
    .Footer_nav {
        margin: 0
    }
}

.Footer_navLink {
    color: #fff;
    text-decoration: none;
    position: relative;
    padding-right: .6rem;
    font-size: .6rem
}

.Footer_navLink:after {
    content: "";
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    width: 1px;
    height: .9em;
    background: hsla(0, 0%, 100%, .6);
    opacity: .7
}

.Footer_navLink:last-of-type:after {
    display: none
}

.Footer_socials {
    display: flex;
    align-items: center;
    gap: .9rem
}

.Footer_socialLink {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    transition: opacity .2s ease
}

.Footer_socialLink:hover {
    opacity: .7
}

.Footer_disclaimer {
    margin: 0;
    font-size: .6rem;
    line-height: 1.65;
    color: hsla(0, 0%, 100%, .86);
    max-width: 34rem
}

.Footer_icons {
    gap: .9rem
}

.Footer_iconWrap,
.Footer_icons {
    display: flex;
    align-items: center;
    justify-content: center
}

.Footer_iconWrap.Footer_mm {
    width: 50px
}

.Footer_iconWrap.Footer_mm img {
    width: 50px;
    height: auto
}

.Footer_iconWrap.Footer_ada,
.Footer_iconWrap.Footer_ada img,
.Footer_iconWrap.Footer_eh,
.Footer_iconWrap.Footer_eh img {
    width: 20px;
    height: 20px
}

@media only screen and (min-width: 768px) {
    .Footer_footer {
        padding: 3rem var(--global-padding-desktop) 3.5rem
    }

    .Footer_grid {
        grid-template-columns: 1.1fr 1fr;
        grid-template-areas: "portal right" "contact right" "address right";
        column-gap: 2rem;
        row-gap: 1.2rem;
        align-items: center
    }

    .Footer_right {
        justify-self: end;
        text-align: left;
        max-width: 28rem;
        align-content: start
    }

    .Footer_nav {
        gap: 1rem
    }

    .Footer_icons,
    .Footer_nav {
        justify-content: flex-start
    }
}

@media only screen and (min-width: 992px) {
    .Footer_grid {
        grid-template-columns: auto 1.2fr;
        grid-template-areas: "portal contact address right";
        row-gap: .8rem;
        align-items: center;
        column-gap: 2.4rem
    }

    .Footer_portal {
        align-self: center
    }

    .Footer_right {
        justify-self: end;
        row-gap: .85rem;
        max-width: 28rem;
        grid-template-rows: auto auto auto
    }

    @media only screen and (min-width: 1500px) {
        .Footer_right {
            max-width: 1500px;
        }
    }

    .Footer_nav {
        gap: 1.1rem
    }

    .Footer_icons,
    .Footer_nav {
        justify-content: flex-start
    }
}

/* EP GPDR */
#ep-gdpr-container .fancybox__backdrop {
    background-color: #1d0c02 !important;
}

html.with-fancybox #ep-gdpr-container .fancybox__backdrop {
    opacity: 0.5 !important;
}

#ep-gdpr-container .fancybox__container:not(.is-compact) .fancybox__slide.has-close-btn {
    padding-top: 20px;
    padding-bottom: 20px;
}

#ep-gdpr-notice input:checked~.dot {
    transform: translateX(100%);
    background-color: #fc9c01;
}

#ep-gdpr-notice .f-button.is-close-btn {
    top: 0.8rem;
    background: #fc9c01;
    margin-right: 0.7rem;
    color: #ffffff;
    width: 22px;
    height: auto;
    padding: 0.2rem;
}

@media screen and (max-width: 715px) {

    #ep-gdpr-container,
    #ep-gdpr-notice {
        height: 100% !important;
        max-height: 100% !important;
    }
}

/* End EP GDPR */

/* OVERRIDE DEFAULTS */
* {
    text-rendering: optimizeLegibility;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    line-height: 1.1;
}

textarea {
    resize: none;
}

.justify-center {
    -webkit-justify-content: center;
    justify-content: center;

}

/* p {
    margin: .5em 0 !important;
    font-size: .8rem;
    line-height: 1.45;
    font-weight: 300;
} */

/* ANIMATIONS */

@keyframes HeroScaleUp {
    0% {
        transform: scale(1);
        opacity: 0
    }

    to {
        transform: scale(1.1);
        opacity: 1
    }
}

.revealOnScroll .revealContent {
    opacity: 0;
    transform: translateY(50px);
    /* will-change: opacity, transform; */
    /* will-change: transform; */
    transition: all .6s ease-in-out;
}

.revealOnScroll_active .revealContent {
    opacity: 1;
    transform: translateY(0px);
}